/*
 * Licensed Materials - Property of IBM
 * 5724-Y62 WebSphere Sensor Events
 * (c) Copyright IBM Corp. 2009  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code
 * created by IBM Corporation.  This sample code is part of
 * WebSphere Sensor Events and is warranted to perform its
 * intended function only if used unmodified.  If you modify
 * this code then it is considered provided "AS IS", without
 * warranty of any kind.  Notwithstanding the foregoing, IBM
 * shall not be liable for any damages arising out of your use
 * of the sample code, even if they have been advised of the
 * possibility of such damages.
 */
package com.ibm.trackntrace.ndc_mapper.utils;

import java.util.*; 

public class StopWatch { 
	public static final String COPYRIGHT = 
		"Licensed Materials - Property of IBM " +
		"5724-Y62 WebSphere Sensor Events " +
		"(c) Copyright IBM Corp. 2009  All rights reserved. " +
		"US Government Users Restricted Rights - Use, duplication or " +
		"disclosure restricted by GSA ADP Schedule Contract with IBM " +
		"Corp.";
	Calendar startCal; 
	Calendar endCal; 
	TimeZone tz = TimeZone.getTimeZone("EST"); 
	
	/** Creates a new instance of StopWatch */ 
	public StopWatch() { } 
	public StopWatch(String tzoneStr) { 
		tz = TimeZone.getTimeZone(tzoneStr); 
		} 
	// Start the stopwatch 
	public void start() { 
		startCal = Calendar.getInstance(tz); 
	} 
	
	// Stop the stopwatch 
	public void end() { 
		endCal = Calendar.getInstance(tz); 
	} 
	
	public long elapsedMillis() { 
		Date d_end = endCal.getTime();
		Date d_start = startCal.getTime();
		long l = d_end.getTime() - d_start.getTime();
		return l; 
	} 


/*	
	// Measure the elapsed time in different units 
	public double elapsedSeconds() { 
		return (endCal.getTimeInMillis() - startCal.getTimeInMillis())/1000.0; 
	} 
	
	public long elapsedMillis() { 
		return endCal.getTimeInMillis() - startCal.getTimeInMillis(); 
	} 
	
	public double elapsedMinutes() { 
		return (endCal.getTimeInMillis() - startCal.getTimeInMillis())/(1000.0 * 60.0); 
	} 
	
	public static void main (String [] args) { 
		StopWatch sw = new StopWatch(); 
		sw.start(); 
		
		// capture start time 
		try { Thread.sleep(5000); // sleep for 5 seconds 
		}catch (Exception e) { 
			System.out.println(e); 
			System.exit(1); 
		} 
		sw.end();  // capture end time 
		System.out.println("Elapsed time in minutes: " + sw.elapsedMinutes()); 
		System.out.println("Elapsed time in seconds: " + sw.elapsedSeconds()); 
		System.out.println("Elapsed time in milliseconds: " + sw.elapsedMillis()); 
	} 
*/
} // end of StopWatch class
