/*
 * Licensed Materials - Property of IBM
 * 5724-Y62 WebSphere Sensor Events
 * (c) Copyright IBM Corp. 2009  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code
 * created by IBM Corporation.  This sample code is part of
 * WebSphere Sensor Events and is warranted to perform its
 * intended function only if used unmodified.  If you modify
 * this code then it is considered provided "AS IS", without
 * warranty of any kind.  Notwithstanding the foregoing, IBM
 * shall not be liable for any damages arising out of your use
 * of the sample code, even if they have been advised of the
 * possibility of such damages.
 */
package com.ibm.trackntrace.usecases.data;

import java.util.ArrayList;

/**
 * @author Sudhir Pucha
 * This class defines an Order ( Purchase Order/ Transfer Order etc).
 * Each PalletInfo object is associated with a Order Info object.
 * Each OrderInfo object is associated with multiple palletInfo objects.
 *
 */
public class OrderInfo {
	public static final String COPYRIGHT = 
		"Licensed Materials - Property of IBM " +
		"5724-Y62 WebSphere Sensor Events " +
		"(c) Copyright IBM Corp. 2009  All rights reserved. " +
		"US Government Users Restricted Rights - Use, duplication or " +
		"disclosure restricted by GSA ADP Schedule Contract with IBM " +
		"Corp.";
	
	public OrderInfo( String id){
		orderID = id;
		expectedPalletEPCs = new ArrayList<String>();
		receivedPalletEPCs = new ArrayList<String>();
	}
	
	public OrderInfo(){
		orderID = null;
		expectedPalletEPCs = new ArrayList<String>();
		receivedPalletEPCs = new ArrayList<String>();
	}
	
	/**
	 * Order ID, uniquely identifies the order
	 */
	String orderID = null;
	
	/**
	 * pallet EPCs expected as part of the order
	 */
	ArrayList<String> expectedPalletEPCs = null;
	
	/**
	 * Pallets received so far.
	 */
	
	ArrayList<String> receivedPalletEPCs = null;

	/**
	 * @return
	 */
	public ArrayList<String> getExpectedPalletEPCs() {
		return expectedPalletEPCs;
	}

	/**
	 * @param expectedPalletEPCs
	 */
	public void setExpectedPalletEPCs(ArrayList<String> expectedPalletEPCs) {
		this.expectedPalletEPCs = expectedPalletEPCs;
	}

	/**
	 * @return
	 */
	public String getOrderID() {
		return orderID;
	}

	/**
	 * @param orderID
	 */
	public void setOrderID(String orderID) {
		this.orderID = orderID;
	}

	public ArrayList<String> getReceivedPalletEPCs() {
		return receivedPalletEPCs;
	}

	public void setReceivedPalletEPCs(ArrayList<String> receivedPalletEPCs) {
		this.receivedPalletEPCs = receivedPalletEPCs;
	}

	
}
