/*
 * Licensed Materials - Property of IBM
 * 5724-Y62 WebSphere Sensor Events
 * (c) Copyright IBM Corp. 2009  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code
 * created by IBM Corporation.  This sample code is part of
 * WebSphere Sensor Events and is warranted to perform its
 * intended function only if used unmodified.  If you modify
 * this code then it is considered provided "AS IS", without
 * warranty of any kind.  Notwithstanding the foregoing, IBM
 * shall not be liable for any damages arising out of your use
 * of the sample code, even if they have been advised of the
 * possibility of such damages.
 */
package com.ibm.trackntrace.usecases.data;

/**
 * @author Sudhir Pucha
 * This class describe an individual pharma Unit
 *
 */
public class PharmaUnitInfo {
	public static final String COPYRIGHT = 
		"Licensed Materials - Property of IBM " +
		"5724-Y62 WebSphere Sensor Events " +
		"(c) Copyright IBM Corp. 2009  All rights reserved. " +
		"US Government Users Restricted Rights - Use, duplication or " +
		"disclosure restricted by GSA ADP Schedule Contract with IBM " +
		"Corp.";
	
	public PharmaUnitInfo( String urn){
		this.unitURN = urn;
	}
	
	public PharmaUnitInfo(){
		
	}
	
	/**
	 * NDC number of the drug
	 */
	private String NDC = null;
	
	/**
	 * product name
	 */
	private String productName = null;
	
	/**
	 * expiry date
	 */
	private String expiryDate = null;
	
	/**
	 * lot information
	 */
	private String lotNumber = null;
	
	/**
	 * unit URN in pure id format
	 */
	private String unitURN = null;

	/**
	 * Parent tag. (case)
	 */
	private String parentURN = null;
	
	/**
	 * Root Parent tag. (pallet)
	 */
	private String rootParentURN = null;
	
	/**
	 * Order Number - BizTransaction
	 */
	private String orderNumber = null;
	
	/**
	 * @return
	 */
	public String getExpiryDate() {
		return expiryDate;
	}

	/**
	 * @param expiryDate
	 */
	public void setExpiryDate(String expiryDate) {
		this.expiryDate = expiryDate;
	}

	/**
	 * @return
	 */
	public String getLotNumber() {
		return lotNumber;
	}

	/**
	 * @param lotNumber
	 */
	public void setLotNumber(String lotNumber) {
		this.lotNumber = lotNumber;
	}

	/**
	 * @return
	 */
	public String getNDC() {
		return NDC;
	}

	/**
	 * @param ndc
	 */
	public void setNDC(String ndc) {
		NDC = ndc;
	}

	/**
	 * @return
	 */
	public String getProductName() {
		return productName;
	}

	/**
	 * @param productName
	 */
	public void setProductName(String productName) {
		this.productName = productName;
	}



	/**
	 * @param urn
	 */
	public void setUnitURN(String urn) {
		this.unitURN = urn;
	}

	/**
	 * @return
	 */
	public String getParentURN() {
		return parentURN;
	}

	/**
	 * @param parentURN
	 */
	public void setParentURN(String parentURN) {
		this.parentURN = parentURN;
	}

	/**
	 * @return
	 */
	public String getUnitURN() {
		return unitURN;
	}

	/**
	 * @return
	 */
	public String getRootParentURN() {
		return rootParentURN;
	}

	/**
	 * @param rootParentURN
	 */
	public void setRootParentURN(String rootParentURN) {
		this.rootParentURN = rootParentURN;
	}

	public String getOrderNumber() {
		return orderNumber;
	}

	public void setOrderNumber(String orderNumber) {
		this.orderNumber = orderNumber;
	}

}
