/*
 * Licensed Materials - Property of IBM
 * 5724-Y62 WebSphere Sensor Events
 * (c) Copyright IBM Corp. 2009  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code
 * created by IBM Corporation.  This sample code is part of
 * WebSphere Sensor Events and is warranted to perform its
 * intended function only if used unmodified.  If you modify
 * this code then it is considered provided "AS IS", without
 * warranty of any kind.  Notwithstanding the foregoing, IBM
 * shall not be liable for any damages arising out of your use
 * of the sample code, even if they have been advised of the
 * possibility of such damages.
 */
package com.ibm.trackntrace.usecases.util;


import com.ibm.premises.reusable.aggregation.Aggregation;
import com.ibm.premises.reusable.aggregation.AggregationHome;
import com.ibm.premises.reusable.commissioning.Commissioning;
import com.ibm.premises.reusable.commissioning.CommissioningHome;
import com.ibm.premises.reusable.decommissioning.Decommissioning;
import com.ibm.premises.reusable.decommissioning.DecommissioningHome;
import com.ibm.premises.reusable.disaggregation.Disaggregation;
import com.ibm.premises.reusable.disaggregation.DisaggregationHome;
import com.ibm.premises.reusable.epc.EPC;
import com.ibm.premises.reusable.epc.EPCHome;
import com.ibm.premises.reusable.inference.Inference;
import com.ibm.premises.reusable.inference.InferenceHome;
import com.ibm.premises.reusable.info.Info;
import com.ibm.premises.reusable.info.InfoHome;
import com.ibm.premises.reusable.locating.Locating;
import com.ibm.premises.reusable.locating.LocatingHome;
import com.ibm.premises.reusable.observation.Observation;
import com.ibm.premises.reusable.observation.ObservationHome;
import com.ibm.premises.reusable.printing.Printing;
import com.ibm.premises.reusable.printing.PrintingHome;
import com.ibm.premises.reusable.reporting.Reporting;
import com.ibm.premises.reusable.reporting.ReportingHome;
import com.ibm.premises.reusable.validation.Validation;
import com.ibm.premises.reusable.validation.ValidationHome;

public class RUCLocator {
	public static final String COPYRIGHT = 
		"Licensed Materials - Property of IBM " +
		"5724-Y62 WebSphere Sensor Events " +
		"(c) Copyright IBM Corp. 2009  All rights reserved. " +
		"US Government Users Restricted Rights - Use, duplication or " +
		"disclosure restricted by GSA ADP Schedule Contract with IBM " +
		"Corp.";
	
	public static EPC getEPCRUC() throws Exception {
		EPCHome rucHome = (EPCHome) ResourceLocator.singleton().getEJBHome("ejb/com/ibm/premises/reusable/epc/EPCHome", EPCHome.class);
		return rucHome.create();
	}
	
	public static Printing getPrintingRUC() throws Exception {
		PrintingHome rucHome = (PrintingHome) ResourceLocator.singleton().getEJBHome("ejb/com/ibm/premises/reusable/printing/PrintingHome", PrintingHome.class);
		return rucHome.create();
	}
	
	public static Commissioning getCommissioningRUC() throws Exception {
		CommissioningHome rucHome = (CommissioningHome) ResourceLocator.singleton().getEJBHome("ejb/com/ibm/premises/reusable/commissioning/CommissioningHome", CommissioningHome.class);
		return rucHome.create();
	}
	public static Decommissioning getDecommissioningRUC() throws Exception {
		DecommissioningHome rucHome = (DecommissioningHome) ResourceLocator.singleton().getEJBHome("ejb/com/ibm/premises/reusable/decommissioning/DecommissioningHome", DecommissioningHome.class);
		return rucHome.create();
	}
	public static Locating getLocatingRUC() throws Exception {
		LocatingHome rucHome = (LocatingHome) ResourceLocator.singleton().getEJBHome("ejb/com/ibm/premises/reusable/locating/LocatingHome", LocatingHome.class);
		return rucHome.create();
	}
	public static Reporting getReportingRUC() throws Exception {
		ReportingHome rucHome = (ReportingHome) ResourceLocator.singleton().getEJBHome("ejb/com/ibm/premises/reusable/reporting/ReportingHome", ReportingHome.class);
		return rucHome.create();
	}
	public static Observation getObservationRUC() throws Exception {
		ObservationHome rucHome = (ObservationHome) ResourceLocator.singleton().getEJBHome("ejb/com/ibm/premises/reusable/observation/ObservationHome", ObservationHome.class);
		return rucHome.create();
	}
	
	public static Validation getValidationRUC() throws Exception {
		ValidationHome rucHome = (ValidationHome) ResourceLocator.singleton().getEJBHome("ejb/com/ibm/premises/reusable/validation/ValidationHome", ValidationHome.class);
		return rucHome.create();
	}
	
	public static Aggregation getAggregationRUC() throws Exception {
		AggregationHome rucHome = (AggregationHome) ResourceLocator.singleton().getEJBHome("ejb/com/ibm/premises/reusable/aggregation/AggregationHome", AggregationHome.class);
		return rucHome.create();
	}
	
	public static Disaggregation getDisaggregationRUC() throws Exception {
		DisaggregationHome rucHome = (DisaggregationHome) ResourceLocator.singleton().getEJBHome("ejb/com/ibm/premises/reusable/disaggregation/DisaggregationHome", DisaggregationHome.class);
		return rucHome.create();
	}	
	public static Inference getInferenceRUC() throws Exception {
		InferenceHome rucHome = (InferenceHome) ResourceLocator.singleton().getEJBHome("ejb/com/ibm/premises/reusable/inference/InferenceHome", InferenceHome.class);
		return rucHome.create();
	}	
	public static Info getInfoRUC() throws Exception {
		InfoHome rucHome = (InfoHome) ResourceLocator.singleton().getEJBHome("ejb/com/ibm/premises/reusable/info/InfoHome", InfoHome.class);
		return rucHome.create();
	}	
	
}
