/*
 * Licensed Materials - Property of IBM
 * 5724-Y62 WebSphere Sensor Events
 * (c) Copyright IBM Corp. 2009  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code
 * created by IBM Corporation.  This sample code is part of
 * WebSphere Sensor Events and is warranted to perform its
 * intended function only if used unmodified.  If you modify
 * this code then it is considered provided "AS IS", without
 * warranty of any kind.  Notwithstanding the foregoing, IBM
 * shall not be liable for any damages arising out of your use
 * of the sample code, even if they have been advised of the
 * possibility of such damages.
 */
package com.ibm.trackntrace.utils;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;

/**
 * @author Sudhir Pucha
 *
 */
public class Constants {
	public static final String COPYRIGHT = 
		"Licensed Materials - Property of IBM " +
		"5724-Y62 WebSphere Sensor Events " +
		"(c) Copyright IBM Corp. 2009  All rights reserved. " +
		"US Government Users Restricted Rights - Use, duplication or " +
		"disclosure restricted by GSA ADP Schedule Contract with IBM " +
		"Corp.";
	//========================================================================================
	// Logger names
	//========================================================================================
	public static final String LOG_BASE = "trackntrace"; //$NON-NLS-1$
	public static final String LOG_ACTION = LOG_BASE + "actions."; //$NON-NLS-1$
	
	public static final String LOG_MENUS = LOG_ACTION + "menu"; //$NON-NLS-1$
	
	public static final String LOG_SHIPPING = LOG_ACTION + "shipping"; //$NON-NLS-1$
	public static final String LOG_RECEIVING = LOG_ACTION + "receiving"; //$NON-NLS-1$
	public static final String LOG_SPLIT = LOG_ACTION + "split"; //$NON-NLS-1$
	public static final String LOG_SAMPLES = LOG_ACTION + "samples"; //$NON-NLS-1$
	public static final String LOG_DAMAGE = LOG_ACTION + "damage"; //$NON-NLS-1$
	public static final String LOG_REPRINT = LOG_ACTION + "reprint"; //$NON-NLS-1$	
	public static final String LOG_USERLOGIN = LOG_ACTION + "user_login"; //$NON-NLS-1$
	public static final String LOG_RECOMMISSION = LOG_ACTION + "recommission"; //$NON-NLS-1$
	public static final String LOG_RETURNS = LOG_ACTION + "returns"; //$NON-NLS-1$
	public static final String LOG_ROLEVAL = LOG_ACTION + "role_validation"; //$NON-NLS-1$
	public static final String LOG_SHIPPING_SCREEN = LOG_ACTION + "shipping."; //$NON-NLS-1$
	public static final String LOG_ADMIN_SCREEN = LOG_ACTION + "admin."; //$NON-NLS-1$
	public static final String LOG_DB = LOG_ACTION + "trackDB"; //$NON-NLS-1$
	public static final String LOG_DESKTOP = LOG_ACTION + "desktop"; //$NON-NLS-1$
	public static final String LOG_UTILS = LOG_ACTION + "utils"; //$NON-NLS-1$
	

	//========================================================================================
	// JNDI Names
	//========================================================================================
	public static final String TRACKER_DATASOURCE = "java:comp/env/jdbc/TrackerDS"; //$NON-NLS-1$
	
	//========================================================================================
	// JSP set attribute bean names.
	//========================================================================================
	public static final String FORM_DATA_ATTR = "formData"; //$NON-NLS-1$
	public static final String CONFIG_DATA_ATTR = "configData"; //$NON-NLS-1$

	//========================================================================================
	// Locations
	//========================================================================================
	
	//========================================================================================
	// Use Case related
	//========================================================================================
	 public static final String EPC_URN_PREFIX = "urn:epc";
	 public static final String RFIDIC_BIZ_TRANSACTION_TYPE = "urn:epcglobal:btt:to";
	 public static final String MASTER_DATA_QUERY = "SimpleMasterDataQuery";
	 public static final String SIMPLE_EVENT_QUERY = "SimpleEventQuery";
	 public static final String BUSINESS_LOCATION_VOCABULARY = "urn:epcglobal:epcis:vtype:BusinessLocation";
	 public static final String VOCABULARY_NAME_KEY="vocabularyName";
	 public static final String VOCABULARY_EQ_NAME_KEY="EQ_name";
	 public static final String EVENT_TYPE="eventType";
	 public static final String OBJECT_EVENT="ObjectEvent";
	 public static final String EQ_ACTION="EQ_action";
	 public static final String OBSERVE="OBSERVE";
	 public static final String EQ_BIZSTEP="EQ_bizStep";
	 public static final String MATCH_EPC="MATCH_epc";
	 public static final String ORDER_BY="orderBy";
	 public static final String ORDER_DIRECTION="orderDirection";
	 public static final String EVENT_COUNT_LIMIT="eventCountLimit";
	 public static final String EVENT_TIME="eventTime";
	 public static final String DESC="DESC";

	
	 public class BusinessSteps{
		 public static final String ACCEPTING        = "urn:epcglobal:bizstep:accepting";
		 public static final String ARRIVING         = "urn:epcglobal:bizstep:arriving";
		 public static final String DEPARTING        = "urn:epcglobal:bizstep:departing";
		 public static final String RECEIVING        = "urn:epcglobal:bizstep:receiving";
		 public static final String HOLDING      	 = "urn:epcglobal:bizstep:holding";
		 public static final String INSPECTING       = "urn:epcglobal:bizstep:inspecting";
		 public static final String STORING          = "urn:epcglobal:bizstep:storing";
		 public static final String STOCKING         = "urn:epcglobal:bizstep:stocking";
		 public static final String REPACKAGING      = "urn:epcglobal:bizstep:repackaging";
		 public static final String PACKING          = "urn:epcglobal:bizstep:packing";
		 public static final String PICKING          = "urn:epcglobal:bizstep:picking";
		 public static final String LOADING          = "urn:epcglobal:bizstep:loading";
		 public static final String SHIPPING         = "urn:epcglobal:bizstep:shipping";
		 public static final String STAGING_OUTBOUND = "urn:epcglobal:bizstep:staging_outbound";
		 public static final String RESERVING        = "urn:epcglobal:bizstep:reserving";
		 public static final String ENCODING         = "urn:epcglobal:bizstep:encoding";
		 public static final String COMMISSIONING    = "urn:epcglobal:bizstep:commisioning";
		 public static final String DECOMMISSIONING  = "urn:epcglobal:bizstep:decommisioning";
		 public static final String DESTROYING       = "urn:epcglobal:bizstep:destroying";
		 public static final String OTHER            = "urn:epcglobal:bizstep:other";
		 public static final String TRANSFER         = "urn:epcglobal:bizstep:transfer";
	 }
	 
	 public class Disposition{
		 public static final String ACTIVE                         = "urn:epcglobal:disp:active";
		 public static final String INACTIVE                       = "urn:epcglobal:disp:inactive";
		 public static final String RESERVED      	               = "urn:epcglobal:disp:reserved";
		 public static final String ENCODED                        = "urn:epcglobal:disp:encoded";
		 public static final String IN_TRANSIT                     = "urn:epcglobal:disp:in_transit";
		 public static final String SELLABLE_NOT_ACCESSIBLE        = "urn:epcglobal:disp:sellable_not_accessible";
		 public static final String SELLABLE_ACCESSIBLE            = "urn:epcglobal:disp:sellable_accessible";
		 public static final String NON_SELLABLE                   = "urn:epcglobal:disp:non_sellable";
		 public static final String NON_SELLABLE_EXPIRED           = "urn:epcglobal:disp:non_sellable_expired";
		 public static final String NON_SELLABLE_RECALLED          = "urn:epcglobal:disp:non_sellable_recalled";
		 public static final String NON_SELLABLE_DAMAGED           = "urn:epcglobal:disp:non_sellable_damaged";
		 public static final String NON_SELLABLE_NO_PEDIGREE_MATCH = "urn:epcglobal:disp:non_sellable_no_pedigree_match";
		 public static final String NON_SELLABLE_OTHER             = "urn:epcglobal:disp:non_sellable_other";
		 public static final String RETURNED                       = "urn:epcglobal:disp:returned";
		 public static final String IN_PROGRESS                    = "urn:epcglobal:disp:in_progress";
		 public static final String SOLD                           = "urn:epcglobal:disp:sold";
		 public static final String DESTROYED                      = "urn:epcglobal:disp:destroyed";
		 public static final String DESTROYING                     = "urn:epcglobal:disp:destroying";
		 public static final String CONTAINER_CLOSED               = "urn:epcglobal:disp:container_closed";
		 public static final String UNKNOWN                        = "urn:epcglobal:disp:unknown";
		 
	 }
	 
	 public class ProductAttributes{
		 public static final String MANUFACTURER ="urn:epcglobal:product:manufacturer";
		 public static final String LOT = "lot";
		 public static final String DOSAGE="urn:epcglobal:product:dosageForm";
		 public static final String NDC = "urn:epcglobal:hls:1:productCode";
		 public static final String DRUG= "urn:epcglobal:product:drugName";
		 public static final String DOSAGE_STRENGTH = "urn:epcglobal:product:strength";
		 public static final String PACKAGE_SIZE = "urn:epcglobal:product:containerSize";
	 }
	//========================================================================================
	// Database or display text
	//========================================================================================

	//========================================================================================
	// Database fields
	//========================================================================================
	 public static final String LAST_UPDATE_TIMESTAMP = "last_update_timestamp";
	 
	 //Tracker.print_template fields
	 public static final String TEMP_TEMPLATE_NAME = "template_name";
	 public static final String TEMP_VERSION_NUMBER = "version_number";
	 public static final String TEMP_LABEL1 = "label1";
	 public static final String TEMP_LABEL2 = "label2";
	 public static final String TEMP_LABEL3 = "label3";
	 public static final String TEMP_LABEL4 = "label4";
	 public static final String TEMP_LABEL5 = "label5";
	 public static final String TEMP_LABEL6 = "label6";
	 public static final String TEMP_LABEL7 = "label7";
	 public static final String TEMP_LABEL8 = "label8";
	 public static final String TEMP_LABEL9 = "label9";
	 
	 //Tracker.print_template_label_type fields
	 public static final String LABEL_TYPE = "label_type";
	 public static final String LABEL_TYPE_DISP = "label_type_disp";
	 
	 //Tracker.product_print_template fields
	 public static final String PROD_PRODUCT_CODE = "product_code";
	 public static final String PROD_TEMPLATE_NAME = "template_name";
	 public static final String PROD_VERSION_NUMBER = "version_number";
	 
	 // print_template contents
	 public static final String LOT = "LOT";
	 public static final String EXPDATE = "EXPDATE";
	 public static final String SERIAL = "SERIAL";
	 public static final String MFRPREFIX = "MFRPREFIX";
	 public static final String GTIN = "GTIN";
	 public static final String QUANTITY = "QUANTITY";
	 public static final String BARCODE = "BARCODE";
	 public static final String HUMANBARCODE = "HUMANBARCODE";
	 
	 public enum FIELD_TYPES {
		 
		 NO_FIELD_SETTING("none", ""),
		 LOT("Lot", "LOT"),
		 EXPDATE("Expiration Date", "EXPDATE"),
		 SERIAL("Serial Number", "SERIAL"),
		 GTIN("GTIN", "GTIN"),
		 QUANTITY("Quantity", "QUANTITY"),
		 BARCODE("Barcode", "BARCODE"),
		 HUMANBARCODE("HumanBarcode", "HUMANBARCODE");
		 
		 private static HashMap<String, FIELD_TYPES> LegalValues;
		 static {
			 LegalValues = new HashMap<String, FIELD_TYPES>();
			 for (FIELD_TYPES field : FIELD_TYPES.values()) {
				 LegalValues.put(field.code, field);
				 LegalValues.put(field.label, field);
			 }
		 }
		 
		 private String label;
		 private String code;
		 
		 private FIELD_TYPES(String label, String code) {
			 this.label = label;
			 this.code = code;
		 }
		 public static FIELD_TYPES findFieldType(String key) {
			 FIELD_TYPES result = LegalValues.get(key);
			 return result;
		 }
		 public static String findFieldCode(String key) {
			 FIELD_TYPES result = LegalValues.get(key);
			 return result.code;
		 }
		 public static List allFieldTypes() {
			 return Arrays.asList(FIELD_TYPES.values());
		 }
		 public String getCode() {
			return code;
		 }
		 public String getLabel() {
			return label;
		 }
	 }
	 
	//========================================================================================
	// Database configuration parameters
	//========================================================================================

	//========================================================================================
	// Miscellaneous message keys
	//========================================================================================
	 public static final String ONE_TWENTY_EIGHT_BARCODE_PREFIX="]C1";
	 public static final String ONE_TWENTY_EIGHT_BARCODE_PREFIX_VARIANT="]C0";
	 public static final String DATAMATRIX_BARCODE_PREFIX="]d2";
	//========================================================================================
	// Error messages
	//========================================================================================
	public static final String MISSING_FORM_PARAMETER_1 = "error.missingFormParameter"; //$NON-NLS-1$
	public static final String NOT_IMPLEMENTED_1 = "error.not_implemented_1"; //$NON-NLS-1$
	public static final String UNKNOWN_COMMAND_4 = "error.action.unknown_command_4"; //$NON-NLS-1$
	public static final String PARSE_DATE_FAILED_2 = "error.parse.date_2"; //$NON-NLS-1$
	public static final String UNKNOWN_ERROR_4 = "error.role.unknown_error_4"; //$NON-NLS-1$
	public static final String ACTION_EXCEPTION_1 = "error.action.exception_1"; //$NON-NLS-1$
	public static final String ACTION_NO_FORWARD_3 = "error.action.no_forward_3"; //$NON-NLS-1$
	public static final String ACTION_NO_ERROR_FORWARD_3 = "error.action.no_error_forward_3"; //$NON-NLS-1$
	public static final String ACTION_WRONG_FORM_3 = "error.action.wrong_form_3"; //$NON-NLS-1$
	public static final String UNKNOWN_SCREEN_4 = "error.action.unknown_screen_4"; //$NON-NLS-1$
    public static final String ERROR_EMPTY_BIN_0 = "error.bin.empty_0"; //$NON-NLS-1$
    public static final String ROLE_NOT_AUTHORIZED = "Role is not authorized"; //$NON-NLS-1$
    
    public static final String NOTHING_TO_UNDO_0 = "error.undo.nothingtoundo_0";
    
    public static final String TEMPLATE_NAME_AND_VERSION_REQUIRED_0 = "error.template.name_and_version_required_0";
    public static final String TEMPLATE_NAME_REQUIRED_0 = "error.template.name_required_0";
    public static final String TEMPLATE_NAME_MISSING_0 = "error.template.name_missing_0";
    public static final String TEMPLATE_VERSION_MISSING_0 = "error.template.version_missing_0";
    public static final String TEMPLATE_NAME_WHITESPACE_0 = "error.template.whitespace_in_name_0";
    public static final String TEMPLATE_VERSION_WHITESPACE_0 = "error.template.whitespace_in_version_0";
    public static final String TEMPLATE_ALREADY_EXISTS_0 = "error.template.already_exists_0";
    
    public static final String LABEL_TYPE_REQUIRED_0 = "error.label.type_required_0";
    public static final String LABEL_DISPLAY_REQUIRED_0 = "error.label.display_required_0";
    public static final String LABEL_TYPE_WHITESPACE_0 = "error.label.whitespace_in_type_0";
    
    public static final String PRODUCT_CODE_REQUIRED_0 = "error.product.code_required_0";
    public static final String PRODUCT_CODE_WHITESPACE_0 = "error.product.whitespace_in_code";
    
    public static final String PARSE_ERROR_ON_FIELD_1 = "error.parse.selection_1";
    
    public static final String DB_UPDATE_FAILED_0 = "error.db.update_failed_0";
    public static final String DB_EXCEPTION_0 = "error.db.exception_taken_0";

    public static final String REPRINT_TAG_VALIDATION_FAILURE_0 = "error.reprint.tag_validation_failure";
    public static final String REPRINT_CASE_PROCESS_FAILURE_0 = "error.reprint.case_process_failure";
    
    public static final String NULL_BARCODE 		= "error.null.barcode";
    public static final String BACKEND_ERROR 		= "error.backend.error";
    public static final String PALLET_EXPECTED  	= "error.pallet.expected";
    public static final String NOTHING_TO_UNDO  	= "error.nothing.undo";
    public static final String CONFIRM_FAILED   	= "error.confirm.failed";
    public static final String NOTHING_TO_CONFIRM 	= "error.nothing.confirm";
    public static final String NO_TAGS_SCANNED 		= "error.notags.scanned";
    public static final String NO_DAMAGED_CASES 	= "error.nodamaged.cases";
    public static final String UNDO_FAILED 			= "error.undo.failed";
    public static final String DISPLAY_ERROR 		= "error.displayerror";
    public static final String SESSION_DATA_ERROR 	= "error.session.data";
    public static final String PROCESS_TAG_FAILED 	= "error.processtag.fail";
    
    
    
    
    
    

}
