/*
 * Licensed Materials - Property of IBM
 * 5724-Y62 WebSphere Sensor Events
 * (c) Copyright IBM Corp. 2009  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code
 * created by IBM Corporation.  This sample code is part of
 * WebSphere Sensor Events and is warranted to perform its
 * intended function only if used unmodified.  If you modify
 * this code then it is considered provided "AS IS", without
 * warranty of any kind.  Notwithstanding the foregoing, IBM
 * shall not be liable for any damages arising out of your use
 * of the sample code, even if they have been advised of the
 * possibility of such damages.
 */
package com.ibm.trackntrace.utils;

import java.io.IOException;
import java.util.logging.Logger;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;


public class LoginFilter implements Filter {
	public static final String COPYRIGHT = 
		"Licensed Materials - Property of IBM " +
		"5724-Y62 WebSphere Sensor Events " +
		"(c) Copyright IBM Corp. 2009  All rights reserved. " +
		"US Government Users Restricted Rights - Use, duplication or " +
		"disclosure restricted by GSA ADP Schedule Contract with IBM " +
		"Corp.";
	protected static Logger log = null;
	static {
		log = Logger.getLogger("LoginFilter");
	}
	
    protected FilterConfig filterConfig = null;
    
    public void destroy() {
       //filterConfig.getServletContext().log("LoginFilter - destroy");
       log.fine("LoginFilter: destroy");
       filterConfig = null;
    }
 
    public void doFilter(ServletRequest req, ServletResponse resp,
             FilterChain chain) throws ServletException, IOException {
    	
    	String usr = req.getParameter("j_username");
    	String pwd = req.getParameter("j_password");
    	
        //filterConfig.getServletContext().log("LoginFilter - doFilter" + "req=" + req + "resp=" + resp);
    	log.fine("LoginFilter:" + "req=" + req + "resp=" + resp);
    	log.fine("LoginFilter: usr='" + usr + "' pwd='" + pwd + "'");
    	
        chain.doFilter(req, resp);
    }
    
    public void init(FilterConfig config) throws ServletException {
        filterConfig = config;
        //filterConfig.getServletContext().log("LoginFilter - init - config=" + config);
        log.fine("LoginFilter: init - config=" + config);
    }
}
