/*
 * Licensed Materials - Property of IBM
 * 5724-Y62 WebSphere Sensor Events
 * (c) Copyright IBM Corp. 2009  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code
 * created by IBM Corporation.  This sample code is part of
 * WebSphere Sensor Events and is warranted to perform its
 * intended function only if used unmodified.  If you modify
 * this code then it is considered provided "AS IS", without
 * warranty of any kind.  Notwithstanding the foregoing, IBM
 * shall not be liable for any damages arising out of your use
 * of the sample code, even if they have been advised of the
 * possibility of such damages.
 */
package com.ibm.trackntrace.utils;

import java.util.logging.Logger;
import javax.servlet.http.HttpServletRequest;

public class RoleValidation {
	public static final String COPYRIGHT = 
		"Licensed Materials - Property of IBM " +
		"5724-Y62 WebSphere Sensor Events " +
		"(c) Copyright IBM Corp. 2009  All rights reserved. " +
		"US Government Users Restricted Rights - Use, duplication or " +
		"disclosure restricted by GSA ADP Schedule Contract with IBM " +
		"Corp.";
	private static final Logger log;
	static {
		log = Logger.getLogger("Constants.LOG_ROLEVAL");
	}
	
	public static final int SUCCESS = 0;
	public static final int INVALID_USER = 1;
	public static final int UNAUTHORIZED_USER = 2;
	
	private static final boolean security_on = false; // TODO: remove for production - false will allow testing under RAD
	
	public static boolean validate (HttpServletRequest req, String role) {
		boolean result = false;
		log.entering(RoleValidation.class.getName(), "validate(role=" + role + ")");
		
		if (security_on == false) {
			result = true;
		} else if (role == RoleDefs.ANY) {
			for (int i=0; i<RoleDefs.allRoles.length; i++) {
				if (req.isUserInRole(RoleDefs.allRoles[i]) == true) {
					result = true;
					break;
				}
			}
		} else if (req.isUserInRole(role)) {
			result = true;
		} 
		
		log.exiting(RoleValidation.class.getName(), "validate result=" + result);
		return result;
	}

}
