/*
 * Licensed Materials - Property of IBM
 * 5724-Y62 WebSphere Sensor Events
 * (c) Copyright IBM Corp. 2009  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code
 * created by IBM Corporation.  This sample code is part of
 * WebSphere Sensor Events and is warranted to perform its
 * intended function only if used unmodified.  If you modify
 * this code then it is considered provided "AS IS", without
 * warranty of any kind.  Notwithstanding the foregoing, IBM
 * shall not be liable for any damages arising out of your use
 * of the sample code, even if they have been advised of the
 * possibility of such damages.
 */
package com.ibm.trackntrace.utils;

import java.io.File;
import java.io.OutputStream;
import java.net.URL;
import java.net.URLConnection;
import java.util.logging.Level;
import java.util.logging.Logger;

public class TagPrinter {
	public static final String COPYRIGHT = 
		"Licensed Materials - Property of IBM " +
		"5724-Y62 WebSphere Sensor Events " +
		"(c) Copyright IBM Corp. 2009  All rights reserved. " +
		"US Government Users Restricted Rights - Use, duplication or " +
		"disclosure restricted by GSA ADP Schedule Contract with IBM " +
		"Corp.";
	private static final Logger log;
	static {
		log = Logger.getLogger(Constants.LOG_REPRINT);
	}
	
	public TagPrinter() {
		super();
	}
	
	public String printPalletTag(String printer, String human, String ser, String barcode) {
		String result = null;
	    log.entering(getClass().getName(), "printPalletTag: printer="+printer+" ser="+ser+" barcode="+barcode); //$NON-NLS-1$

		String pjob = null;
		pjob = 
			"^XA\r\n" + 
			"^BY3,,150^FO440,50^BCR,,N,N,Y,N^FD>;>8" + barcode + "^FS\r\n" +
			"^FO390,100^A0R,33,33^FD" + human + "^FS\r\n" +
			"^FO289,45^A0R,33,33^FDSerial No: " + ser + "^FS\r\n" +
			"^XZ\r\n";
		
		TagPrinter print = new TagPrinter();
		result = print.printTag(printer, ser, pjob);

        log.exiting(getClass().getName(), "printPalletTag", "result=" + result); //$NON-NLS-1$ //$NON-NLS-2$
		return result;
	}
	
	public String printTag(String printer, String ser, String printerOutput) {
		String result = null;
	    log.entering(getClass().getName(), "printTag: printer="+printer+" ser="+ser+" output="+printerOutput); //$NON-NLS-1$
/**/
	    //String host = "ZBR2699789.annapolis.ibm.com";
		final String username = "asdf"; //admin";
		final String password = "asdf"; //1234";

		try {

			File file=new File("/" + ser + "_Print.txt");
			URL url = new URL("ftp://" + username + ":" + password + "@" + printer + "/" + file.getName() + ";type=i");
			if(url == null) {
				log.log(Level.SEVERE, "new URL failed\n");
				result = "new URL failed";
				
			} else {
				URLConnection urlc = url.openConnection();
				
				if(urlc == null) {
					log.log(Level.SEVERE, "openConnection failed\n");
					result = "openConnection failed";
					
				} else {
					OutputStream out = urlc.getOutputStream(); // To upload
					if (out == null) {
						log.log(Level.SEVERE, "getOutputStream failed\n");
						result = "getOutputStream failed";

					} else {

						byte job[] = printerOutput.getBytes();
						for (int j=0; j< job.length; j++) {
							out.write(job[j]);
						}
						out.flush();
						out.close();
					}
				}
				log.finest("TagPrinter: sent print job: \r\n" + printerOutput);
			}

		} catch (Exception e) {
			log.log(Level.SEVERE, "Exception taken: " + e + "\n");
			
			result = e.toString();
		}
/**/
        log.exiting(getClass().getName(), "printTag", "result=" + result); //$NON-NLS-1$ //$NON-NLS-2$
		return result;
	}

}
