<%
/*
 * Licensed Materials - Property of IBM
 * 5724-Y62 WebSphere Sensor Events
 * (c) Copyright IBM Corp. 2009  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code
 * created by IBM Corporation.  This sample code is part of
 * WebSphere Sensor Events and is warranted to perform its
 * intended function only if used unmodified.  If you modify
 * this code then it is considered provided "AS IS", without
 * warranty of any kind.  Notwithstanding the foregoing, IBM
 * shall not be liable for any damages arising out of your use
 * of the sample code, even if they have been advised of the
 * possibility of such damages.
 */
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://jakarta.apache.org/struts/tags-logic"
	prefix="logic"%>
<html:html>
	<HEAD>
		<LINK href="images/favicon.ico" rel="SHORTCUT ICON"/>
		<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
			pageEncoding="ISO-8859-1"%>
		<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
		<META name="GENERATOR" content="IBM Software Development Platform">
		<META http-equiv="Content-Style-Type" content="text/css">
		<LINK href="theme/Master.css" rel="stylesheet" type="text/css">
		<TITLE><bean:message key='mainMenuPageTitle'/></TITLE>
	</HEAD>

	<BODY onLoad="javascript:init();">

		<SCRIPT language="JAVASCRIPT" SRC="js/basic.js"></SCRIPT>
		<SCRIPT language="JAVASCRIPT">
			function logError(msg) {
				var msgArea = findPageElement("msgArea");
				if (msgArea != null) {
					msgArea.innerHTML=msg;
				} else {
					alert(msg);
				}
			}
       		function clrScrn () {
            	var msgArea = findPageElement("msgArea"); 
            	if (msgArea != null) {
                	msgArea.innerHTML = "";
            	}
        	}
        	function checkLastError() {
				var form = findPageElement("formData");
				if (form.lastError.value != null) {
					logError(form.lastError.value);
					form.lastError.value = "";
				} else {
					clearScrn();
				}
			}
			function menuSelect(dest) {
				var form = document.forms[0];
				form.command.value=dest;
				form.lastError.value="";
				form.submit();
			}
			function init() {
				var form = document.forms[0];
				if (form.station.value == null || form.station.value == "") {
					var tmp1 = getParam( "station" );
					if (tmp1.length > 0) {
						form.station.value = tmp1;
					} else {
						//form.lastError.value = "No station in " + window.location.href;
						form.lastError.value = "The station variable is not set.<p>It must contain the name<p>or the address of<p>the handheld device. Example:<p>http://ADDR:9080/bx/menuMain.jsp?station=NAME";
					}
				}
								if (form.bizLocation.value == null || form.bizLocation.value == "") {
					var tmp3 = getParam ( "bizLocation" );
					if (tmp3.length > 0) {
						form.bizLocation.value = tmp3;
					} else {
						//form.lastError.value = "No bizLocation in " + window.location.href;
						form.lastError.value = "The bizLocation variable is not set.<p>It must contain the name<p>of the bussiness location. Example:<p>http://ADDR:9080/bx/menuMain.jsp?station=NAME&&bizLocation=NAME&timeZoneOffset=NAME";
					} 
				}
				if (form.timeZoneOffset.value == null || form.timeZoneOffset.value == "") {
					var tmp5 = getParam ( "timeZoneOffset" );
					if (tmp5.length > 0) {
						form.timeZoneOffset.value = tmp5;
					} else {
						//form.lastError.value = "No timeZoneOffset in " + window.location.href;
						form.lastError.value = "The timeZoneOffset variable is not set.<p>It must contain the name<p>of the time zone offset for current location. Example:<p>http://ADDR:9080/bx/menuMain.jsp?station=NAME&bizLocation=NAME&timeZoneOffset=NAME";
					} 
				}
				if (form.req_url.value == null || form.req_url.value == "") {
					form.req_url.value = window.location.href;
				}
				checkLastError();
			}
			function getParam( name ) {
				name = name.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
				var regexS = "[\\?&]"+name+"=([^&#]*)";
				var regex = new RegExp( regexS );
				var results = regex.exec( window.location.href );
				if( results == null ) {
					//logError("returning null from: " + window.location.href);
					return "";
				}
				else {
					//logError("returning " + results[1]);
					return results[1];
				}
			}
			
		</SCRIPT>

<!-- example < %String station=request.getParameter("station"); System.out.println("station =" + station); % >  -->

		<table><tr><td align="center">
		<jsp:useBean id='formData' class='com.ibm.trackntrace.forms.FormData' type='com.ibm.trackntrace.forms.FormData' scope='request'/>
		<html:errors/>
        <span class='error' id='msgArea'></span>
		<bean:message key='mainMenuPageTitleShow'/>
		<html:form action="/menuSelection">
			<input type="hidden" name="station" value="<c:out value='${formData.station}'/>"/>
			<input type="hidden" name="bizLocation" value="<c:out value='${formData.bizLocation}'/>"/>
			<input type="hidden" name="timeZoneOffset" value="<c:out value='${formData.timeZoneOffset}'/>"/>
			<input type="hidden" name="screen" value="MainMenu"/>
			<input type="hidden" name="command" value="unknown"/>
			<input type="hidden" name="req_url" value="<c:out value='${formData.req_url}'/>"/>
			<input type="hidden" name="userName" value="<c:out value='${formData.userName}'/>"/>
			<input type="hidden" name="userId" value="<c:out value='${formData.userId}'/>"/>
			<input type="hidden" name="lastError" value="<c:out value='${formData.lastError}'/>"/>

			<table><tr>
				<td><input type='button' class='menuRow' onClick="menuSelect('Shipping');" 
					value="<bean:message key='btnMain_Shipping'/>" 
					accesskey="<bean:message key='btnMain_ShippingAcc'/>" /></td>
				<td><h6>  </h6></td>
				<td><input type='button' class='menuRow' onClick="menuSelect('Receiving');" 
					value="<bean:message key='btnMain_Receiving'/>" 
					accesskey="<bean:message key='btnMain_ReceivingAcc'/>" /></td>
			</tr></table>
			<p>
			<table><tr>
				<td><input type='button' class='menuRow' onClick="menuSelect('SplitPallet');" 
					value="<bean:message key='btnMain_Split'/>" 
					accesskey="<bean:message key='btnMain_SplitAcc'/>" /></td>
				<td><h6>  </h6></td>
				<td><input type='button' class='menuRow' onClick="menuSelect('Samples');" 
					value="<bean:message key='btnMain_Samples'/>" 
					accesskey="<bean:message key='btnMain_SamplesAcc'/>" /></td>
			</tr></table>
			<p>
			<table><tr>
				<td><input type='button' class='menuRow' onClick="menuSelect('Damaged');" 
					value="<bean:message key='btnMain_Damage'/>" 
					accesskey="<bean:message key='btnMain_DamageAcc'/>" /></td>
				<td><h6>  </h6></td>
				<td><input type='button' class='menuRow' onClick="menuSelect('Returns');" 
					value="<bean:message key='btnMain_Returns'/>" 
					accesskey="<bean:message key='btnMain_ReturnsAcc'/>" /></td>
			</tr></table>
			<p>
			<table><tr>
				<td><input type='button' class='menuRow' onClick="menuSelect('Recommission');" 
					value="<bean:message key='btnMain_Recomm'/>" 
					accesskey="<bean:message key='btnMain_RecommAcc'/>" /></td>
				
			</tr></table>
			<p>
			
			<!-- <bean:message key='centeringString'/> always too narrow or too wide for this page -->
		</html:form>
	</td></tr></table>
	
	<form method="post" action="ibm_security_logout" name="logout">
			<input type="hidden" name="logoutExitPage" value="<c:out value='${formData.req_url}'/>">
	</form>

	</BODY>
</html:html>
