<%
/*
 * Licensed Materials - Property of IBM
 * 5724-Y62 WebSphere Sensor Events
 * (c) Copyright IBM Corp. 2009  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code
 * created by IBM Corporation.  This sample code is part of
 * WebSphere Sensor Events and is warranted to perform its
 * intended function only if used unmodified.  If you modify
 * this code then it is considered provided "AS IS", without
 * warranty of any kind.  Notwithstanding the foregoing, IBM
 * shall not be liable for any damages arising out of your use
 * of the sample code, even if they have been advised of the
 * possibility of such damages.
 */
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<html:html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
		<meta name="GENERATOR" content="IBM Software Development Platform">
		<meta http-equiv="Content-Style-Type" content="text/css">
		<link href="${pageContext.request.contextPath}/theme/Master.css" rel="stylesheet" type="text/css">
		<title><bean:message key="shippingScanPalletPageTitle" /></title>
</head>
	<body onload="javascript:init();">
		<script language="JAVASCRIPT" src="js/basic.js"></script>
		<script language="JAVASCRIPT">
            
            var pendingAction = 0;
            
			function logError(msg) {
				var msgArea = findPageElement("msgArea");
				if (msgArea != null) {
					msgArea.innerHTML=msg;
				} else {
					alert(msg);
				}
			}
       		function clrScrn () {
            	var msgArea = findPageElement("msgArea"); 
            	if (msgArea != null) {
                	msgArea.innerHTML = "";
            	}
        	}
			function checkLastError() {
				var form = findPageElement("formData");
				if (form.lastError.value != null) {
					logError(form.lastError.value);
					form.lastError.value = "";
				} else {
					clearScrn();
				}
			}
			function cancel() {
            	//if (pendingAction == 0) {
					var form = findPageElement("formData");
					if (form != null) {
						form.command.value="Cancel";
						form.submit();
					} else {
						logError("Cannot find formData page element.");
					}
				//} else {
            	//	logError("Server operation still pending....");
            	//}
			}
            function handle_bc() {
            	//if (pendingAction == 0) {
            		var bc_elem = findPageElement("bc_input");
            		if (bc_elem != null) {
            			var bc = bc_elem.value;
            			if (bc.length > 0) {
            				logError("Acquired: " + bc);
            				var form = findPageElement("formData");
            				if (form != null) {
            					form.serialNumber.value = bc;
            					pendingAction = 1;
            					form.submit();
            				} else {
            					logError("Could not find the formData form.");
            				}
            			} else {
            				logError("Empty bar code read.");
            			}
            		} else {
            			logError("Cannot acquire bc_elem.");
            		}
				//} else {
            	//	logError("Server operation still pending....");
            	//}
            }
            function start() {
            	//if (pendingAction == 0) {
            		var form = findPageElement("formData");
            		if (form != null) {
            			pendingAction = 1;
            			form.command.value="Confirm";
            			form.submit();
          	 		} else {
          	 			logError("Could not find the formData form.");
					}
            	//} else {
            	//	logError("Server operation still pending....");
            	//}
            }
            function undo() {
            	if (pendingAction == 0) {
            		var form = findPageElement("formData");
            		if (form != null) {
            			form.command.value = "Undo";
            			form.submit();
           			} else {
           				logError("Could not find the formData form.");
            		}
            	} else {
            		logError("Server operation still pending....");
            	}
            }
            function init() {
            	checkLastError();
            	focus("bc_input");
            }
 
<!-- tpl:insert attribute="codearea" -->

<!-- /tpl:insert -->      
    
		</script>
		
		<table><tr><td align="center">
		<jsp:useBean id="formData" class="com.ibm.trackntrace.forms.FormData" type="com.ibm.trackntrace.forms.FormData" scope="request" />
		<html:errors />
        <span class="error" id="msgArea"></span>
		<bean:message key="shippingScanPalletPageTitleShow" />
		<html:form action="/shipping">
			<input type="hidden" name="station" value="<c:out value='${formData.station}'/>">
			<input type="hidden" name="bizLocation" value="<c:out value='${formData.bizLocation}'/>"/>
			<input type="hidden" name="timeZoneOffset" value="<c:out value='${formData.timeZoneOffset}'/>"/>
			<input type="hidden" name="req_url" value="<c:out value='${formData.req_url}'/>" />
			<input type="hidden" name="screen" value="Shipping">
			<input type="hidden" name="command" value="GotPallet">
			<input type="hidden" name="userName" value="<c:out value='${formData.userName}'/>">
			<input type="hidden" name="userId" value="<c:out value='${formData.userId}'/>">
			<input type="hidden" name="lastError" value="<c:out value='${formData.lastError}'/>">
			<input type="hidden" name="serialNumber" value="<c:out value='${formData.serialNumber}'/>">
			<input type="hidden" name="destinationId" value="<c:out value='${formData.destinationId}'/>">
			<input type="hidden" name="orderNumber" value="<c:out value='${formData.orderNumber}'/>">
			<input type="hidden" name="palletTag" value="<c:out value='${formData.palletTag}'/>">
			<input type="hidden" name="numTagsScanned" value="<c:out value='${formData.numTagsScanned}'/>">
<c:forEach items='${formData.tagList}' var="tagItem">
			<input type="hidden" name="tagList" value='${tagItem}'/>
</c:forEach>

			<table>
			    <tr>
			       	<th><bean:message key="orderNumber" /></th>
                    <td class="reportValue"><c:out value="${formData.orderNumber}" /></td>
                </tr>
			</table>
			<table>
			    <tr>
			    	<th><bean:message key="destinationId" /></th>
                    <td class="reportValue"><c:out value="${formData.destinationId}" /></td>
                </tr>
			</table>
			<table>
			    <tr>
			    	<th><bean:message key="palletCnt" /></th>
                    <td class="reportValue"><c:out value="${formData.numTagsScanned}" /></td>
                </tr>
			</table>
			<table>
			    <tr>
			    	<th>Last Pallet</th>
                    <td class="reportValue"><c:out value="${formData.palletTag}" /></td>
                </tr>
			</table>
			<table>
			    <tr>
			    	<th><bean:message key="palletTag" /></th>
                    <td><input type="text" name="bc_input" id="bc_input" class="bc_input" onchange="handle_bc();"></td><td>
			</table>
			<p>
			</p><table>
				<tr><td align="center">
						<a class="button" href="#" onclick="undo();"><bean:message key="btnUndo" /></a>
				</td></tr>		
				<tr><td align="center">
						<a class="button" href="#" onclick="start();"><bean:message key="btnConfirm" /></a>
				</td></tr>			
				<tr><td align="center">
						<a class="button" href="#" onclick="cancel();"><bean:message key="btnCancel" /></a>
				</td></tr>
			</table>

			<c:out value="${formData.displayData}" escapeXml="false" />
			
		</html:form>

</td></tr></table>
	</body>
</html:html>
